Error updating from Eclipse

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Error updating from Eclipse

Paul Bennett
I just tried to update from the latest Springsource release, and got the below.  Is something missing from the package, or is my installation missing something ?

An error occurred while collecting items to be installed
session context was:(profile=epp.package.jee, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
Artifact not found: osgi.bundle,org.eclipse.jdt.core,3.6.2.xx-20110310-1500-e36.
Artifact not found: osgi.bundle,org.eclipse.jdt.core.source,3.6.2.xx-20110310-1500-e36.
Artifact not found: osgi.bundle,org.eclipse.jdt.groovy.core,2.1.2.xx-20110310-1500-e36.
Artifact not found: osgi.bundle,org.eclipse.jdt.groovy.core.tests.builder,3.3.100.xx-20110310-1500-e36.
Artifact not found: osgi.bundle,org.eclipse.jdt.groovy.core.tests.compiler,3.3.100.xx-20110310-1500-e36.
Artifact not found: osgi.bundle,org.eclipse.test.performance,3.5.0.xx-20110310-1500-e36.
Artifact not found: osgi.bundle,org.codehaus.groovy,1.7.8.xx-20110310-1500-e36.



Reply | Threaded
Open this post in threaded view
|

Re: Error updating from Eclipse

Andrew Eisenberg
Hmm...I am not able to reproduce the problem.  It could have been a
temporary connection problem.  Just to be sure, instead of going to
"Check for updates" can you go to "Install new software", select the
groovy update site and choose only the Groovy-Eclipse Feature
(choosing this will automatically install all other required
features).

Also, make sure that you are not behind a firewall, or can think of
any other reason why you wouldn't be able to download some jar files.

If you continue to have a problem, then this warrants a deeper look.

On Wed, Mar 16, 2011 at 6:46 AM, Paul Bennett <[hidden email]> wrote:

> I just tried to update from the latest Springsource release, and got the
> below.  Is something missing from the package, or is my installation missing
> something ?
> An error occurred while collecting items to be installed
> session context was:(profile=epp.package.jee,
> phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=,
> action=).
> Artifact not found:
> osgi.bundle,org.eclipse.jdt.core,3.6.2.xx-20110310-1500-e36.
> http://dist.springsource.org/release/GRECLIPSE/e3.6/plugins/org.eclipse.jdt.core_3.6.2.xx-20110310-1500-e36.jar
> Artifact not found:
> osgi.bundle,org.eclipse.jdt.core.source,3.6.2.xx-20110310-1500-e36.
> http://dist.springsource.org/release/GRECLIPSE/e3.6/plugins/org.eclipse.jdt.core.source_3.6.2.xx-20110310-1500-e36.jar
> Artifact not found:
> osgi.bundle,org.eclipse.jdt.groovy.core,2.1.2.xx-20110310-1500-e36.
> http://dist.springsource.org/release/GRECLIPSE/e3.6/plugins/org.eclipse.jdt.groovy.core_2.1.2.xx-20110310-1500-e36.jar
> Artifact not found:
> osgi.bundle,org.eclipse.jdt.groovy.core.tests.builder,3.3.100.xx-20110310-1500-e36.
> http://dist.springsource.org/release/GRECLIPSE/e3.6/plugins/org.eclipse.jdt.groovy.core.tests.builder_3.3.100.xx-20110310-1500-e36.jar
> Artifact not found:
> osgi.bundle,org.eclipse.jdt.groovy.core.tests.compiler,3.3.100.xx-20110310-1500-e36.
> http://dist.springsource.org/release/GRECLIPSE/e3.6/plugins/org.eclipse.jdt.groovy.core.tests.compiler_3.3.100.xx-20110310-1500-e36.jar
> Artifact not found:
> osgi.bundle,org.eclipse.test.performance,3.5.0.xx-20110310-1500-e36.
> http://dist.springsource.org/release/GRECLIPSE/e3.6/plugins/org.eclipse.test.performance_3.5.0.xx-20110310-1500-e36.jar
> Artifact not found:
> osgi.bundle,org.codehaus.groovy,1.7.8.xx-20110310-1500-e36.
> http://dist.springsource.org/release/GRECLIPSE/e3.6/plugins/org.codehaus.groovy_1.7.8.xx-20110310-1500-e36.jar
>
>
>

---------------------------------------------------------------------
To unsubscribe from this list, please visit:

    http://xircles.codehaus.org/manage_email